# Prevent brp-java-repack-jars from being run.
%global __jar_repack %{nil}

%global nb_            netbeans
%global nb_org         %{nb_}.org
%global nb_ver         7.3.1
%global nb_rel         RELEASE731
%global svnCA          svnClientAdapter
%global svnCA_ver      1.7.0
%global subclipse_ver  1.8.22

Name:           %{nb_}-svnclientadapter
Version:        %{nb_ver}
Release:        0.3.%{subclipse_ver}%{?dist}
Summary:        Subversion Client Adapter
License:        ASL 2.0
Url:            http://subclipse.tigris.org/svnClientAdapter.html
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# sh netbeans-svnclientadapter-create-tarball.sh
Source0:        %{svnCA}-%{svnCA_ver}-%{subclipse_ver}.tar.xz
Source1:        %{name}-create-tarball.sh
Source2:        http://bits.netbeans.org/nexus/content/groups/netbeans/org/netbeans/external/%{svnCA}-main/%{nb_rel}/%{svnCA}-main-%{nb_rel}.pom

#Source3:        http://bits.netbeans.org/nexus/content/groups/netbeans/org/netbeans/external/svnClientAdapter-javahl/RELEASE731/svnClientAdapter-javahl-RELEASE731.pom
#Source4:        http://bits.netbeans.org/nexus/content/groups/netbeans/org/netbeans/external/svnClientAdapter-svnkit/RELEASE731/svnClientAdapter-svnkit-RELEASE731.pom
# Add missing method stubs
Patch0:         %{svnCA}-%{svnCA_ver}-CmdLineClientAdapter.patch

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  subversion-javahl
BuildRequires:  svnkit
BuildRequires:  svnkit-javahl

%if 0
BuildRequires:  antlr3-java
BuildRequires:  emma
BuildRequires:  jna
BuildRequires:  sequence-library
BuildRequires:  sqljet
BuildRequires:  svnkit-cli
BuildRequires:  trilead-ssh2
%endif

Requires:       java-headless
Requires:       jpackage-utils
Requires:       subversion

%description
SVNClientAdapter is a high-level Java API for Subversion.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{svnCA}-%{svnCA_ver}

%patch0 -p0

# remove all binary libs
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

ln -sf $(build-classpath svn-javahl)       lib/svn-javahl.jar
ln -sf $(build-classpath svnkit)           lib/svnkit/svnkit-1.7.5-v1.jar
ln -sf $(build-classpath svnkit-javahl)    lib/svnkit/svnkit-javahl16-1.7.5-v1.jar
# Unused deps
#ln -sf $(build-classpath antlr3-runtime)   lib/svnkit/antlr-runtime-3.4.jar
#ln -sf $(build-classpath jna)              lib/svnkit/jna-3.4.0.jar
#ln -sf $(build-classpath sequence-library) lib/svnkit/sequence-library-1.0.2.jar
#ln -sf $(build-classpath svnkit-cli)       lib/svnkit/svnkit-cli-1.7.5-v1.jar
#ln -sf $(build-classpath sqljet)           lib/svnkit/sqljet-1.1.4.jar
#ln -sf $(build-classpath trilead-ssh2)     lib/svnkit/trilead-ssh2-1.0.0-build215.jar
# Tests suite deps
#ln -sf $(build-classpath emma)             test/lib/emma.jar
#ln -sf $(build-classpath emma_ant)         test/lib/emma_ant.jar

# fix non ASCII chars
for s in src/main/org/tigris/subversion/svnclientadapter/AbstractClientAdapter.java \
 src/main/org/tigris/subversion/svnclientadapter/ISVNDirEntry.java \
 src/main/org/tigris/subversion/svnclientadapter/ISVNNotifyListener.java \
 src/main/org/tigris/subversion/svnclientadapter/ISVNProperty.java \
 src/main/org/tigris/subversion/svnclientadapter/SVNClientAdapterFactory.java \
 src/main/org/tigris/subversion/svnclientadapter/SVNInfoUnversioned.java \
 src/main/org/tigris/subversion/svnclientadapter/SVNStatusUnversioned.java \
 src/main/org/tigris/subversion/svnclientadapter/SVNUrl.java \
 src/javahl/org/tigris/subversion/svnclientadapter/javahl/JhlClientAdapter.java \
 src/javahl/org/tigris/subversion/svnclientadapter/javahl/JhlInfo.java \
 src/javahl/org/tigris/subversion/svnclientadapter/javahl/JhlInfo2.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/CmdLineAnnotations.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/CmdLineInfoPart.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/CmdLineNotificationHandler.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/CmdLineStatusComposite.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/CmdLineStatuses.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/CommandLine.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/SvnAdminCommandLine.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/SvnCommandLine.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/parser/SvnActionRE.java \
 src/commandline/org/tigris/subversion/svnclientadapter/commandline/parser/SvnOutputParser.java \
 src/testcases/org/tigris/subversion/svnclientadapter/regression/CmdLineBugRegressionTest.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
# Don't run tests suite because some part needs network
ant -verbose svnClientAdapter.jar javadoc

%install

install -dm 755 %{buildroot}%{_javadir} \
 %{buildroot}%{_mavenpomdir} \
 %{buildroot}%{_javadocdir}/%{name}

# jar
install -m 644 build/lib/svnClientAdapter.jar %{buildroot}%{_javadir}/%{name}.jar

# Pom and depmap
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "org.netbeans.external:svnClientAdapter-svnkit,org.netbeans.external:svnClientAdapter-javahl"

# Javadoc
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc changelog.txt license.txt readme.txt
%{_javadir}/*
%{_mavenpomdir}/*

%files javadoc
%{_javadocdir}/%{name}
%doc license.txt

%changelog
* Mon Jun 09 2014 Omair Majid <omajid@redhat.com> - 7.3.1-0.3.1.8.22
- Use .mfiles instead of using deparated _mavendepmapfragdir macro
- Fixes build failure

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.3.1-0.3.1.8.22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Omair Majid <omajid@redhat.com> - 7.3.1-0.2.1.8.22
- Require java-headless

* Sat Sep 07 2013 gil cattaneo <puntogil@libero.it> 7.3.1-0.1.1.8.22
- adapt version 1.7.0/1.8.22 to NetBeans 7.3.1
- adapt to current guideline

* Tue Aug 06 2013 Omair Majid <omajid@redhat.com> - 6.7.1-8
- Fix build dependencies
- Update package to comply with latest guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 11 2009 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.7.1-2
- Fix the svn-javahl.jar name and its location
* Tue Aug 11 2009 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.7.1-1
- Adapt version 1.6.0 to NetBeans 6.7.1
